japa.parser.ast.visitor

## Class GenericVisitorAdapter<R,A>

- java.lang.Object
- - japa.parser.ast.visitor.GenericVisitorAdapter<R,A>

All Implemented Interfaces:
  GenericVisitor<R,A>

    public abstract class GenericVisitorAdapter<R,A>
    extends Object
    implements GenericVisitor<R,A>

Author:
  Julio Vilmar Gesser

### Constructor Summary

Constructors
Constructor and Description
`GenericVisitorAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`R` `visit(AnnotationDeclaration n, A arg)`
`R` `visit(AnnotationMemberDeclaration n, A arg)`
`R` `visit(ArrayAccessExpr n, A arg)`
`R` `visit(ArrayCreationExpr n, A arg)`
`R` `visit(ArrayInitializerExpr n, A arg)`
`R` `visit(AssertStmt n, A arg)`
`R` `visit(AssignExpr n, A arg)`
`R` `visit(BinaryExpr n, A arg)`
`R` `visit(BlockComment n, A arg)`
`R` `visit(BlockStmt n, A arg)`
`R` `visit(BooleanLiteralExpr n, A arg)`
`R` `visit(BreakStmt n, A arg)`
`R` `visit(CastExpr n, A arg)`
`R` `visit(CatchClause n, A arg)`
`R` `visit(CharLiteralExpr n, A arg)`
`R` `visit(ClassExpr n, A arg)`
`R` `visit(ClassOrInterfaceDeclaration n, A arg)`
`R` `visit(ClassOrInterfaceType n, A arg)`
`R` `visit(CompilationUnit n, A arg)`
`R` `visit(ConditionalExpr n, A arg)`
`R` `visit(ConstructorDeclaration n, A arg)`
`R` `visit(ContinueStmt n, A arg)`
`R` `visit(DoStmt n, A arg)`
`R` `visit(DoubleLiteralExpr n, A arg)`
`R` `visit(EmptyMemberDeclaration n, A arg)`
`R` `visit(EmptyStmt n, A arg)`
`R` `visit(EmptyTypeDeclaration n, A arg)`
`R` `visit(EnclosedExpr n, A arg)`
`R` `visit(EnumConstantDeclaration n, A arg)`
`R` `visit(EnumDeclaration n, A arg)`
`R` `visit(ExplicitConstructorInvocationStmt n, A arg)`
`R` `visit(ExpressionStmt n, A arg)`
`R` `visit(FieldAccessExpr n, A arg)`
`R` `visit(FieldDeclaration n, A arg)`
`R` `visit(ForeachStmt n, A arg)`
`R` `visit(ForStmt n, A arg)`
`R` `visit(IfStmt n, A arg)`
`R` `visit(ImportDeclaration n, A arg)`
`R` `visit(InitializerDeclaration n, A arg)`
`R` `visit(InstanceOfExpr n, A arg)`
`R` `visit(IntegerLiteralExpr n, A arg)`
`R` `visit(IntegerLiteralMinValueExpr n, A arg)`
`R` `visit(JavadocComment n, A arg)`
`R` `visit(LabeledStmt n, A arg)`
`R` `visit(LineComment n, A arg)`
`R` `visit(LongLiteralExpr n, A arg)`
`R` `visit(LongLiteralMinValueExpr n, A arg)`
`R` `visit(MarkerAnnotationExpr n, A arg)`
`R` `visit(MemberValuePair n, A arg)`
`R` `visit(MethodCallExpr n, A arg)`
`R` `visit(MethodDeclaration n, A arg)`
`R` `visit(MultiTypeParameter n, A arg)`
`R` `visit(NameExpr n, A arg)`
`R` `visit(NormalAnnotationExpr n, A arg)`
`R` `visit(NullLiteralExpr n, A arg)`
`R` `visit(ObjectCreationExpr n, A arg)`
`R` `visit(PackageDeclaration n, A arg)`
`R` `visit(Parameter n, A arg)`
`R` `visit(PrimitiveType n, A arg)`
`R` `visit(QualifiedNameExpr n, A arg)`
`R` `visit(ReferenceType n, A arg)`
`R` `visit(ReturnStmt n, A arg)`
`R` `visit(SingleMemberAnnotationExpr n, A arg)`
`R` `visit(StringLiteralExpr n, A arg)`
`R` `visit(SuperExpr n, A arg)`
`R` `visit(SwitchEntryStmt n, A arg)`
`R` `visit(SwitchStmt n, A arg)`
`R` `visit(SynchronizedStmt n, A arg)`
`R` `visit(ThisExpr n, A arg)`
`R` `visit(ThrowStmt n, A arg)`
`R` `visit(TryStmt n, A arg)`
`R` `visit(TypeDeclarationStmt n, A arg)`
`R` `visit(TypeParameter n, A arg)`
`R` `visit(UnaryExpr n, A arg)`
`R` `visit(VariableDeclarationExpr n, A arg)`
`R` `visit(VariableDeclarator n, A arg)`
`R` `visit(VariableDeclaratorId n, A arg)`
`R` `visit(VoidType n, A arg)`
`R` `visit(WhileStmt n, A arg)`
`R` `visit(WildcardType n, A arg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenericVisitorAdapter

    public GenericVisitorAdapter()

### Method Detail

#### visit

    public R visit(AnnotationDeclaration n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(AnnotationMemberDeclaration n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(ArrayAccessExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(ArrayCreationExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(ArrayInitializerExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(AssertStmt n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(AssignExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(BinaryExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(BlockStmt n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(BooleanLiteralExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(BreakStmt n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(CastExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(CatchClause n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(CharLiteralExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(ClassExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(ClassOrInterfaceDeclaration n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(ClassOrInterfaceType n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(CompilationUnit n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(ConditionalExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(ConstructorDeclaration n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(ContinueStmt n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(DoStmt n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(DoubleLiteralExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(EmptyMemberDeclaration n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(EmptyStmt n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(EmptyTypeDeclaration n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(EnclosedExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(EnumConstantDeclaration n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(EnumDeclaration n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(ExplicitConstructorInvocationStmt n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(ExpressionStmt n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(FieldAccessExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(FieldDeclaration n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(ForeachStmt n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(ForStmt n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(IfStmt n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(ImportDeclaration n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(InitializerDeclaration n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(InstanceOfExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(IntegerLiteralExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(IntegerLiteralMinValueExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(JavadocComment n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(LabeledStmt n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(LongLiteralExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(LongLiteralMinValueExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(MarkerAnnotationExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(MemberValuePair n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(MethodCallExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(MethodDeclaration n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(NameExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(NormalAnnotationExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(NullLiteralExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(ObjectCreationExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(PackageDeclaration n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(Parameter n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(MultiTypeParameter n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(PrimitiveType n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(QualifiedNameExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(ReferenceType n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(ReturnStmt n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(SingleMemberAnnotationExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(StringLiteralExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(SuperExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(SwitchEntryStmt n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(SwitchStmt n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(SynchronizedStmt n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(ThisExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(ThrowStmt n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(TryStmt n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(TypeDeclarationStmt n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(TypeParameter n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(UnaryExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(VariableDeclarationExpr n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(VariableDeclarator n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(VariableDeclaratorId n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(VoidType n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(WhileStmt n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(WildcardType n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(BlockComment n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`

#### visit

    public R visit(LineComment n,
                   A arg)

Specified by:
  `visit` in interface `GenericVisitor<R,A>`